Keywords
Bulk keyword analysis
Analyze up to 1000 keywords in one request. Requests with more than 100 uncached keywords are dispatched to a background worker — the response includes an async_job_id in that case.
POST
/
v1
/
keywords
/
bulk
Bulk keyword analysis
curl --request POST \
--url https://api.example.com/v1/keywords/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keywords": [
"<string>"
],
"location_code": 123,
"language_code": "<string>"
}
'import requests
url = "https://api.example.com/v1/keywords/bulk"
payload = {
"keywords": ["<string>"],
"location_code": 123,
"language_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keywords: ['<string>'], location_code: 123, language_code: '<string>'})
};
fetch('https://api.example.com/v1/keywords/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"results": [
{
"keyword": "<string>",
"search_volume": 123,
"keyword_difficulty": 123,
"cpc": 123,
"competition": 123,
"competition_index": 123,
"competition_level": "<string>",
"low_top_of_page_bid": 123,
"high_top_of_page_bid": 123,
"spell": "<string>",
"search_partners": true,
"location_code": 123,
"language_code": "<string>",
"categories": [
123
],
"search_intent": "<string>",
"search_intent_info": {
"main_intent": "<string>",
"foreign_intent": [
"<string>"
]
},
"trend": [
{
"year": 123,
"month": 6,
"search_volume": 1
}
],
"serp_features": [
"<string>"
],
"keyword_properties": {
"core_keyword": "<string>",
"keyword_difficulty": 123,
"detected_language": "<string>",
"is_another_language": true,
"words_count": 123,
"synonym_clustering_algorithm": "<string>"
},
"serp_info": {
"serp_item_types": [
"<string>"
],
"se_results_count": 123,
"check_url": "<string>",
"last_updated_time": "<string>"
},
"avg_backlinks_info": {
"backlinks": 123,
"referring_domains": 123,
"referring_main_domains": 123,
"rank": 123,
"main_domain_rank": 123
},
"clickstream_info": {
"search_volume": 123,
"gender_distribution": {},
"age_distribution": {},
"monthly_searches": [
{
"year": 123,
"month": 6,
"search_volume": 1
}
]
},
"ranked_serp_element": {
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"url": "<string>"
}
}
],
"total": 123,
"async_job_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Request body for bulk keyword analysis (up to 1000 keywords).
⌘I
Bulk keyword analysis
